OdtGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdtGenerator Class Reference

A generator for text documents. More...

`#include <OdtGenerator.hxx>`

Inheritance diagram for OdtGenerator:

## Public Member Functions
| OdtGenerator ()
| ~OdtGenerator () override
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
librevenge::RVNGStringVector | getObjectNames () const
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | startDocument (const librevenge::RVNGPropertyList &) override
void | endDocument () override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | definePageStyle (const librevenge::RVNGPropertyList &) override
void | openPageSpan (const librevenge::RVNGPropertyList &propList) override
void | closePageSpan () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &) override
void | openSection (const librevenge::RVNGPropertyList &propList) override
void | closeSection () override
void | openHeader (const librevenge::RVNGPropertyList &propList) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &propList) override
void | closeFooter () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &propList) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &propList) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &propList) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &propList) override
void | closeTextBox () override
void | openTable (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTable () override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | openFrame (const librevenge::RVNGPropertyList &propList) override
void | closeFrame () override
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) override
void | insertEquation (const librevenge::RVNGPropertyList &propList) override
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects.
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images.
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler)

## Private Member Functions
| OdtGenerator (OdtGenerator const &)
OdtGenerator & | operator= (OdtGenerator const &)

## Private Attributes
OdtGeneratorPrivate * | mpImpl

## Detailed Description

A generator for text documents.

See `librevenge` library for documentation of the librevenge::RVNGTextInterface interface.

## Constructor & Destructor Documentation

## ◆ OdtGenerator() [1/2]

OdtGenerator::OdtGenerator | ( |  | ) |

## ◆ ~OdtGenerator()

OdtGenerator::~OdtGenerator | ( |  | ) |
| override

## ◆ OdtGenerator() [2/2]

OdtGenerator::OdtGenerator | ( | OdtGenerator const & |  | ) |
| private

## Member Function Documentation

## ◆ addDocumentHandler()

void OdtGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType )

## ◆ closeComment()

void OdtGenerator::closeComment | ( |  | ) |
| override

## ◆ closeEndnote()

void OdtGenerator::closeEndnote | ( |  | ) |
| override

## ◆ closeFooter()

void OdtGenerator::closeFooter | ( |  | ) |
| override

## ◆ closeFootnote()

void OdtGenerator::closeFootnote | ( |  | ) |
| override

## ◆ closeFrame()

void OdtGenerator::closeFrame | ( |  | ) |
| override

## ◆ closeGroup()

void OdtGenerator::closeGroup | ( |  | ) |
| override

## ◆ closeHeader()

void OdtGenerator::closeHeader | ( |  | ) |
| override

## ◆ closeLink()

void OdtGenerator::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void OdtGenerator::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void OdtGenerator::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closePageSpan()

void OdtGenerator::closePageSpan | ( |  | ) |
| override

## ◆ closeParagraph()

void OdtGenerator::closeParagraph | ( |  | ) |
| override

## ◆ closeSection()

void OdtGenerator::closeSection | ( |  | ) |
| override

## ◆ closeSpan()

void OdtGenerator::closeSpan | ( |  | ) |
| override

## ◆ closeTable()

void OdtGenerator::closeTable | ( |  | ) |
| override

## ◆ closeTableCell()

void OdtGenerator::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void OdtGenerator::closeTableRow | ( |  | ) |
| override

## ◆ closeTextBox()

void OdtGenerator::closeTextBox | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void OdtGenerator::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void OdtGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineEmbeddedFont()

void OdtGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineGraphicStyle()

void OdtGenerator::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ definePageStyle()

void OdtGenerator::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ defineParagraphStyle()

void OdtGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineSectionStyle()

void OdtGenerator::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ drawConnector()

void OdtGenerator::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void OdtGenerator::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void OdtGenerator::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void OdtGenerator::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void OdtGenerator::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void OdtGenerator::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endDocument()

void OdtGenerator::endDocument | ( |  | ) |
| override

## ◆ getObjectContent()

bool OdtGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler )

## ◆ getObjectNames()

librevenge::RVNGStringVector OdtGenerator::getObjectNames | ( |  | ) | const

## ◆ initStateWith()

void OdtGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

## ◆ insertBinaryObject()

void OdtGenerator::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertCoveredTableCell()

void OdtGenerator::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertEquation()

void OdtGenerator::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertField()

void OdtGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void OdtGenerator::insertLineBreak | ( |  | ) |
| override

## ◆ insertSpace()

void OdtGenerator::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void OdtGenerator::insertTab | ( |  | ) |
| override

## ◆ insertText()

void OdtGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openComment()

void OdtGenerator::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openEndnote()

void OdtGenerator::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFooter()

void OdtGenerator::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFootnote()

void OdtGenerator::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFrame()

void OdtGenerator::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openGroup()

void OdtGenerator::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openHeader()

void OdtGenerator::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void OdtGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void OdtGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void OdtGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openPageSpan()

void OdtGenerator::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void OdtGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSection()

void OdtGenerator::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void OdtGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTable()

void OdtGenerator::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void OdtGenerator::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void OdtGenerator::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTextBox()

void OdtGenerator::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void OdtGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ operator=()

OdtGenerator & OdtGenerator::operator= | ( | OdtGenerator const & |  | ) |
| private

## ◆ registerEmbeddedImageHandler()

void OdtGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler )

Registers a handler for embedded images.

The handler converts the image to a format suitable for the used OdfDocumentHandler.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the images's data and generating output

## ◆ registerEmbeddedObjectHandler()

void OdtGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler )

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

## ◆ setDocumentMetaData()

void OdtGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startDocument()

void OdtGenerator::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## Member Data Documentation

## ◆ mpImpl

OdtGeneratorPrivate* OdtGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdtGenerator.hxx